> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hellopay.com.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new payout

> Creates a new payment in transaction.



## OpenAPI

````yaml /openapi.yaml post /payouts
openapi: 3.0.0
info:
  title: HelloPay API
  description: HelloPay Backend API Documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payouts:
    post:
      tags:
        - Payouts
      summary: Create a new payout
      description: Creates a new payment in transaction.
      operationId: PayoutsController_createPayout
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePayoutDto'
      responses:
        '201':
          description: Payout successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
        '400':
          description: Invalid input data
        '401':
          description: Unauthorized
components:
  schemas:
    CreatePayoutDto:
      type: object
      properties:
        amountInCents:
          type: number
          description: Payment amount in cents
          example: 100000
          minimum: 1
        currency:
          type: string
          description: Payment currency
          example: COP
        rail:
          type: string
          description: Payment rail type
          example: TRANSFIYA
        reference:
          type: string
          description: Unique reference for the payout
          example: OUT-2024-001
        inlineCustomer:
          description: Customer data
          allOf:
            - $ref: '#/components/schemas/CustomerDataDto'
        breb:
          description: Bre-B key details (required when type is BRE_B)
          allOf:
            - $ref: '#/components/schemas/BrebDto'
        transfiya:
          description: Transfiya key details (required when type is TRANSFIYA)
          allOf:
            - $ref: '#/components/schemas/TransfiyaDto'
      required:
        - amountInCents
        - currency
        - rail
        - reference
    PayoutResponse:
      type: object
      properties:
        id:
          type: string
          description: Payout ID
          example: 123e4567-e89b-12d3-a456-426614174000
        amount:
          type: number
          description: Payout amount
          example: 100000
        amountInCents:
          type: number
          description: Payout amount in cents
          example: 10000000
        currency:
          type: string
          description: Payout currency
          example: COP
        status:
          type: string
          description: Payout status
          example: PENDING
        rail:
          type: string
          description: Payout rail
          example: BRE_B
        reference:
          type: object
          description: Payout reference
          example: OUT-2024-001
        inlineCustomer:
          description: Payout inline customer
          allOf:
            - $ref: '#/components/schemas/CustomerDataDto'
        errorCode:
          type: object
          description: Payout error code
          example: null
        createdAt:
          format: date-time
          type: string
          description: Payout created at
          example: '2024-01-01T00:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          description: Payout updated at
          example: '2024-01-01T00:00:00.000Z'
        resultAt:
          type: object
          description: Payout result at
          example: '2024-01-01T00:00:00.000Z'
        organizationId:
          type: string
          description: Payout organization ID
          example: 123e4567-e89b-12d3-a456-426614174000
        targetData:
          type: object
          description: Payout target data
          example:
            breb:
              keyString: '@ABCED1223'
      required:
        - id
        - amount
        - amountInCents
        - currency
        - status
        - rail
        - createdAt
        - updatedAt
        - organizationId
        - targetData
    CustomerDataDto:
      type: object
      properties:
        name:
          type: string
          description: Customer full name
          example: John Doe
        idType:
          type: string
          description: Type of identification document
          enum:
            - CO_CC
            - CO_CE
            - CO_NIT
            - MXN_RFC
            - PASSPORT
          example: CO_CC
        idNumber:
          type: string
          description: Identification document number
          example: '1234567890'
        phone:
          type: string
          description: Customer phone number
          example: '+573001234567'
        email:
          type: string
          description: Customer email address
          example: john.doe@example.com
      required:
        - name
        - idType
        - idNumber
        - phone
        - email
    BrebDto:
      type: object
      properties:
        keyString:
          type: string
          description: BREB payment key string
          example: breb-key-string
      required:
        - keyString
    TransfiyaDto:
      type: object
      properties:
        keyString:
          type: string
          description: Transfiya payment key string
          example: transfiya-key-string
        account:
          description: Transfiya account details
          example: transfiya-key-string
          allOf:
            - $ref: '#/components/schemas/TransfiyaAccountDto'
      required:
        - keyString
        - account
    TransfiyaAccountDto:
      type: object
      properties:
        bank:
          type: string
          description: Bank code (it should be supported by Transfiya)
          example: CO_BANCOLOMBIA
        bankAccountNumber:
          type: string
          description: Bank account number
          example: '1234567890'
        customerDocumentNumber:
          type: string
          description: Customer document number
          example: '1234567890'
      required:
        - bank
        - bankAccountNumber
        - customerDocumentNumber

````